class StrategyMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Strategia, zmiana opcji transportu");

        var driver = new VehicleDriver(new CarStrategy());
        driver.transport();
        driver.changeStrategy(new BusStrategy());
        driver.transport();
        driver.changeStrategy(new TruckStrategy());
        driver.transport();
    }

}
